Amat_fun <-
function(a_mat, rho, dist, T, M)
{
  # a_mat must be a M*M matrix
  
  Amat<-array(0, c(M, M, T-1))
  for (t in 1:(T-1))
  {
    a_sum<-apply(a_mat,1,sum)
    trans_prob_s <- diag(1-a_sum*(1-exp(-(dist[t])*rho)))
    trans_prob_d <- a_mat*(1-exp(-(dist[t])*rho))
    Amat[,,t] <- trans_prob_s + trans_prob_d
  } 
  return(Amat)
}
