\name{total}
\alias{total}
\docType{data}
\title{
An example data set named "total".
}
\description{
The example data set. 
}
\usage{data(total)}
\format{
  A data frame with 5364 observations on the following 53 variables.
  \describe{
    \item{\code{V1}}{a numeric vector, the chromosome ID (13)}
    \item{\code{V2}}{a numeric vector, physical SNP locations}
    \item{\code{V3}}{a factor with levels \code{A} \code{C} \code{G} \code{T}, for one haplotype}
    \item{\code{V4}}{a factor with levels \code{A} \code{C} \code{G} \code{T}, for the other haplotype}
    \item{\code{V5}, \code{V7}, \code{V9}, ..., \code{V51}}{The read counts for the first haplotype (V3) of the 24 animals.}
    \item{\code{V6}, \code{V8}, \code{V10}, ..., \code{V52}}{The read counts for the second haplotype (V4) of the 24 animals.}
    \item{\code{V53}}{a logical vector, indicating if the SNP have the chip data information.}
  }
}
\examples{
data(total)
}

